% function calculates the triangle area
% In:
%   xe - vector of x - nodal coordinates of the element (x1,x2,x3)
%   ye - vector of x - nodal coordinates of the element (y1,y2,y3)
%
% Out:
%   Ae - triangle area
%
function Ae = area_triangle (xe,ye)

Ae=(1/2)*((xe(2)*ye(3)-xe(3)*ye(2))-(xe(1)*ye(3)-xe(3)*ye(1))+(xe(1)*ye(2)-xe(2)*ye(1))) ;

end
